Page 1 of 1

Agent for Linux on openSUSE

Posted: Nov 22, 2016 11:16 am
by syntel
Have anyone successfully installed the VeaamAgentLinux_1.0.0.678 on openSUSE? If yes, a quick description will be highly appreciated.

Re: Agent for Linux on openSUSE

Posted: Nov 22, 2016 11:40 am
by PTide
Hi,

What's the exact problem that you experience with the installation? If it's something regarding ncurses package then please try to install libncurses5 package and modify /etc/modprobe.d/10-unsupported-modules.conf 0 to 1.

Thanks

Re: Agent for Linux on openSUSE

Posted: Nov 23, 2016 11:15 am
by syntel
Hi

Yes, I am struggling a little bit with dependencies. Trying to install veeamsnap first with rpm -i ./veeamsnap-1.0.0.678-1.noarch.rpm

and get this

error: Failed dependencies:
dkms is needed by veeamsnap-1.0.0.678-1.noarch
gcc is needed by veeamsnap-1.0.0.678-1.noarch
make is needed by veeamsnap-1.0.0.678-1.noarch
kernel-devel is needed by veeamsnap-1.0.0.678-1.noarch

As you understand I am not a seasoned Linux administrator, just trying to make this work on a couple on our openSuse 12.3 installs.

Re: Agent for Linux on openSUSE

Posted: Nov 23, 2016 1:26 pm
by vmniels
You will need to install those packages before you can use the agent.

Can you try zypper in veeam-1.0.0.678-1.suse.x86_64.rpm ?

If this fails please install the packages mentioned via:
zypper in dkms gcc make kernel-devel

Re: Agent for Linux on openSUSE

Posted: Nov 25, 2016 10:59 am
by syntel
Thanks for the tips. Got it working now.